const initialState = {
    hide: true,
    pic: {},
    picIndex: -1,
    width: 0,
    height: 0,
};

const picViewDialog = (state = initialState, action) => {
    switch (action.type) {
    case 'picSelector.showPicViewDialog': {
        return {
            ...state,
            hide: false,
            pic: action.pic,
            picIndex: action.picIndex,
        };
    }
    case 'picSelector.hidePicViewDialog': {
        return initialState;
    }
    case 'picSelector.updatePicSize': {
        return {
            ...state,
            width: action.width,
            height: action.height,
        };
    }
    default:
        return state;
    }
};

export default {
    picViewDialog,
};
