import React from 'react';
import PropTypes from 'prop-types';
import {
    KZUIComponent,
} from 'kui2';
import './style.less';

class Progressbar extends KZUIComponent {
    render() {
        const width = this.props.width;
        return (
            <div className="progressbar-outter">
                <div className="progressbar-inner" style={{ width }} />
            </div>
        );
    }
}

Progressbar.propTypes = {
    width: PropTypes.string,
};

Progressbar.defaultProps = {
    width: '0',
};

export default Progressbar;
