class KZConf {
    constructor(confObj, aliasMap) {
        this.conf = confObj || {};
        this.alias = aliasMap || {};
    }

    get(name) {
        if (this.alias[name]) {
            return this.conf[this.alias[name]];
        }
        return this.conf[name];
    }
}

export default KZConf;
