import React from 'react';
import Demo from './Demo';
import { pageUrl } from '../utils/url';

const sections = [
    {
        title: '测试设置',
        items: [
            {
                href: pageUrl('/demo'),
                text: '春江潮水连海平',
            },
            {
                href: pageUrl('/demo'),
                text: '海上明月共潮生',
                cur: true,
            },
            {
                href: pageUrl('/demo'),
                text: '滟滟随波千万里',
            },
            {
                href: pageUrl('/demo'),
                text: '何处春江无月明',
            },
        ],
    },
];
const modules = [
    {
        link: pageUrl('/site'),
        text: '建站',
        name: 'createSite',
    },
    {
        link: '/vote/backend.html',
        text: '投票',
        name: 'vote',
    },
];

const crumbData = [
    {
        link: '/developer/my-plugins',
        name: 'developer',
        text: '开放平台',
    },
    {
        link: 'https://m.kuaizhan.com/90/3/p2649405090dde7',
        name: 'kzuniversity',
        text: '快站大学',
    },
    {
        link: pageUrl('/site/'),
        name: 'site',
        text: '站点列表',
    },
];

const PageDemo = {
    pageTitle: '示例页面',
    content: <Demo />,
    curPage: '建站',
    headerPages: modules,
    headerCrumb: crumbData,
    sideSections: sections,
};

export default PageDemo;
