export const ENV = 't1';

// 0 未上线(已下线，未发布)，1 审核中，2 已上线(审核通过)，3 审核未通过，4 删除，5 审核封禁
export const SITE_STATUS = {
    0: '未发布',
    1: '审核中',
    2: '已发布',
    3: '审核未通过',
};

export const PLUGIN_STATUS = {
    SUCEESS: 0,
    WRONG_PARAM: 1,
    FAILURE: 2,
};

// 插件支付类型对象，字段有顺序
export const CHARGE_TYPES_DICT = {
    by_day: '天',
    daily_charge: '天',
    by_month: '月',
    forever: '永久',
};

// 插件支付类型数组，字段有顺序
export const CHARGE_TYPES = Object.keys(CHARGE_TYPES_DICT);

// // error code
// export const OPEN_PLUGIN_ERROR_CODE = {
//     30100: 'lackOfMoneny',
// };

// plugin types
export const PLUGIN_TYPES = {
    PLUGIN: 0,
    PAGE: 1,
    COMPOSE: 2,
    POSTER: 4,
};
