module.exports = {
    root: true,
    parser: 'babel-eslint',
    parserOptions: {
        ecmascript: 6,
        sourceType: 'module',
        // allowImportExportEverywhere: true,
    },
    env: {
        browser: true,
        node: true,
        mocha: true,
    },
    extends: 'kuaizhan',
    rules: {
        'react/jsx-indent-props': [1, 4],
        'react/no-array-index-key': 'off',
        'jsx-a11y/label-has-for': 'off',
    },
};
