const initialState = {
    count: 0,
};

const demoReducer = (state = initialState, action) => {
    switch (action.type) {
    case 'demo.inc': {
        return {
            ...state,
            count: state.count + action.num,
        };
    }
    case 'demo.dec': {
        return {
            ...state,
            count: state.count - action.num,
        };
    }
    default:
        return state;
    }
};

export default demoReducer;
