import ds from 'kz-ds';
import './groups';

// 登录接口
ds.register('v1/passport.login', {
    type: 'post',
    url: '/passport/ajax-login',
});

ds.register('v2/user.get-info', {
    type: 'get',
    url: '/users/get-info',
});

ds.register('v2/vcode.get', {
    type: 'get',
    url: '/passport/vcode',
});

ds.register('v2/passport.login', {
    type: 'post',
    url: '/passport/login',
});

ds.register('v2/wx.account.get', {
    type: 'get',
    url: '/weixin/account/info/site-id',
});

ds.register('v2/wx.account.detail.get', {
    type: 'get',
    url: '/weixin/account/detail',
});

ds.register('v2/wx.account.site-info.get', {
    type: 'get',
    url: '/weixin/account/site_info',
});

ds.register('v1/pic', {
    type: 'get',
    url: '/pic/ajax-search-picture',
});

ds.register('v1/pic-upload', {
    type: 'post',
    url: '/pic/ajax-upload-pic',
});

ds.register('v1/list-tag', {
    type: 'get',
    url: '/pic/ajax-list-tag',
});

ds.register('v1/list-pic-by-tag', {
    type: 'get',
    url: '/pic/ajax-list-pic-by-tag',
});

ds.register('v1/pic.upload-to-user', {
    type: 'post',
    url: '/pic/ajax-upload-user-pic',
});

//  粉丝管理接口
ds.register('v2/fans.get-tag-list', {
    type: 'get',
    url: '/weixin/fans/tags',
});

ds.register('v2/fans.rename', {
    type: 'put',
    url: '/weixin/fans/tags',
});

ds.register('v2/fans.create-tag', {
    type: 'post',
    url: '/weixin/fans/tags',
});

ds.register('v2/fans.delete', {
    type: 'delete',
    url: '/weixin/fans/tags',
});

ds.register('v2/fans.editFansTag', {
    type: 'put',
    url: '/weixin/fans/fan_tags',
});

ds.register('v2/fans.editBlacklist', {
    type: 'put',
    url: '/weixin/fans/blacklist',
});

ds.register('v2/fans.get-list', {
    type: 'get',
    url: '/weixin/fans',
});

ds.register('v2/fans.fansCount', {
    type: 'get',
    url: '/weixin/fans/fans-count',
});

ds.register('v1/wx.linkGroup.page-list', {
    type: 'get',
    url: '/pageui/ajax-page-list-v1',
});

ds.register('v1/wx.linkGroup.search-page', {
    type: 'get',
    url: '/pageui/ajax-page-info',
});

ds.register('v1/wx.linkGroup.article-columns', {
    type: 'get',
    url: '/post/ajax-get-cate',
});

ds.register('v1/wx.linkGroup.catalog-list', {
    type: 'get',
    url: '/post/ajax-get-cate',
});

ds.register('v1/wx.linkGroup.search-articles', {
    type: 'get',
    url: '/post/ajax-search-post',
});

ds.register('v1/wx.linkGroup.club-list', {
    type: 'get',
    url: '/nav/ajax-list-link',
});

ds.register('v1/wx.linkGroup.poster-list', {
    type: 'get',
    url: '/pa/page/backend-api/pages',
});

ds.register('v1/wx.linkGroup.shop-list', {
    type: 'get',
    url: '/shop/api/sites/:site_id/shops',
});

ds.register('v2/wx.post.post-list', {
    type: 'get',
    url: '/weixin/posts',
});

ds.register('v2/wx.post.get-info', {
    type: 'get',
    url: '/weixin/posts/media',
});

ds.register('v2/mass.get-tag-list', {
    type: 'get',
    url: '/weixin/fans/tags',
});

ds.register('v2/wx.mass.wx-list', {
    type: 'get',
    url: '/weixin/mass/wx-list',
});

ds.register('v2/mass.weixin.delete', {
    type: 'delete',
    url: '/weixin/mass/wx-mass',
});

ds.register('v2/mass.weixin.edit', {
    type: 'put',
    url: '/weixin/mass/wx-mass',
});

ds.register('v2/mass.weixin.add', {
    type: 'post',
    url: '/weixin/mass/wx-mass',
});

ds.register('v2/mass.customer.customer-list', {
    type: 'get',
    url: '/weixin/mass/customer-list',
});

ds.register('v2/mass.customer.delete', {
    type: 'delete',
    url: '/weixin/mass/customer-mass',
});

ds.register('v2/mass.customer.edit', {
    type: 'put',
    url: '/weixin/mass/customer-mass',
});

ds.register('v2/mass.customer.add', {
    type: 'post',
    url: '/weixin/mass/customer-mass',
});

ds.register('v2/mass.template-list', {
    type: 'get',
    url: '/weixin/mass/template-list',
});

ds.register('v2/mass.template.delete', {
    type: 'delete',
    url: '/weixin/mass/template-mass',
});

ds.register('v2/mass.template.add', {
    type: 'post',
    url: '/weixin/mass/template-mass',
});

ds.register('v2/mass.template.edit', {
    type: 'put',
    url: '/weixin/mass/template-mass',
});

ds.register('v2/mass.template-mass-list', {
    type: 'get',
    url: '/weixin/mass/template-mass-list',
});

export default ds;
