export const byteLen = (str) => {
    if (!str) {
        return 0;
    }

    let bytesCount = 0;
    for (let i = 0; i < str.length; i += 1) {
        const c = str.charAt(i);
        if (/^[\u0000-\u00ff]$/.test(c)) {
            bytesCount += 1;
        } else {
            bytesCount += 2;
        }
    }
    return bytesCount;
};

export const getStringLength = str => str.length;
