const path = require('path');
const eslintFriendlyFormatter = require('eslint-friendly-formatter');

module.exports = (context) => {
    // const includePaths = [
        // path.resolve(context.rootDir, './src/'),
        // path.resolve(context.rootDir, './node_modules/kui'),
        // path.resolve(context.rootDir, './node_modules/kz-frame'),
        // path.resolve(context.rootDir, './node_modules/kz-ds'),
    // ];

    const excludeReg = /node_modules\/(?!(kui|kz-frame|kz-ds|kui2).*)/;

    return [
        {
            test: /\.js$/,
            loader: 'eslint-loader',
            enforce: 'pre',
            // include: includePaths,
            exclude: excludeReg,
            options: {
                formatter: eslintFriendlyFormatter,
            },
        },
        {
            test: /\.js$/,
            exclude: path.resolve(context.rootDir, './node_modules/kz-ueditor'),
            // include: includePaths,
            exclude: excludeReg,
            loaders: [
                'happypack/loader?id=js',
            ],
        },
    ];
};
