const ExtractTextPlugin = require("extract-text-webpack-plugin");
// const lessLoader = require('../less-loader');

module.exports = (context) => {
    return [
        {
            test: /\.css$/,
            use: ExtractTextPlugin.extract({
                fallback: 'style-loader',
                use: [
                    'css-loader',
                ]
            })
        },
        {
            test: /\.less$/,
            use: ExtractTextPlugin.extract({
                fallback: 'style-loader',
                use: [
                    'happypack/loader?id=less',
                ]
            })
        },
    ]
}
